Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class ThumbnailDialog.AreaOfInterestListener

    java.lang.Object
      javax.swing.event.MouseInputAdapter
          org.apache.batik.apps.svgbrowser.ThumbnailDialog.AreaOfInterestListener

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.MouseInputListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener

Enclosing class:
  ThumbnailDialog

protected class ThumbnailDialog.AreaOfInterestListener
extends javax.swing.event.MouseInputAdapter

Used to perform a translation using the area of interest.

Field Summary
`protected boolean` | `in`
`protected int` | `sx`
`protected int` | `sy`

Constructor Summary
`protected` | `ThumbnailDialog.AreaOfInterestListener()`

Method Summary
`void` | `mouseDragged(java.awt.event.MouseEvent evt)`
`void` | `mousePressed(java.awt.event.MouseEvent evt)`
`void` | `mouseReleased(java.awt.event.MouseEvent evt)`

Methods inherited from class javax.swing.event.MouseInputAdapter
`mouseClicked, mouseEntered, mouseExited, mouseMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sx

    protected int sx

### sy

    protected int sy

### in

    protected boolean in

Constructor Detail

### ThumbnailDialog.AreaOfInterestListener

    protected ThumbnailDialog.AreaOfInterestListener()

Method Detail

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent evt)

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent evt)

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent evt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.